clc
clear
M=301;
sigma=logspace(-1,3,M);

clf

beta=1;
N=100;
x=linspace(0,1,N+1);
y=x;
[X,Y]=meshgrid(x,y);

Pmaxvar=zeros(6,M);
Kvar=zeros(6,M);
Cvar=zeros(6,M);
thet=linspace(0,2*2*pi,M);
CBox=['m' 'm' 'm' 'm';
    'm' 'm' 'k' 'm';
    'm' 'm' 'k' 'k';
    'k' 'm' 'k' 'm';
    'k' 'm' 'k' 'k';
    'k' 'k' 'k' 'k'];
for j=1:1
   
    check2=true;
    for i=1:length(sigma)
        S=sigma(i);
        [P,K,C]=SQprop(S,beta,X);
        Pabs=abs(P);
        Pre=real(P);
        Pim=imag(P);
        Pthet=acos(Pre./Pabs).*(Pim./abs(Pim));
        Pthet=Pthet*180/pi;
        
        Pmax=max(max(Pabs));
        if (check2)
            for s=1:N+1
                for t=1:N+1
                    if(Pthet(s,t)>20)
                        check2=false;
                        break
                    end
                end
            end
        end

        Pmaxvar(j,i)=Pmax;
        Kvar(j,i)=K;
        Cvar(j,i)=C;
       
    end
   
end
%%
figure(7)
loglog(sigma,Pmaxvar(1,:),'r',sigma,Pmaxvar(2,:),'k',sigma,Pmaxvar(3,:)...
    ,'g',sigma,Pmaxvar(4,:),'b',sigma,Pmaxvar(5,:),'m'...
    ,sigma,Pmaxvar(6,:),'c','linewidth',2)

xlabel('\sigma','fontsize',15)
ylabel('(^{\deltaP/P}/_{\deltah/h})_{max}','fontsize',15)
saveas(gcf,'PmaxvsSQ','png')
figure(8)
loglog(sigma,Kvar(1,:),'r',sigma,Kvar(2,:),'k',sigma,Kvar(3,:)...
    ,'g',sigma,Kvar(4,:),'b',sigma,Kvar(5,:),'m'...
    ,sigma,Kvar(6,:),'c','linewidth',2)

xlabel('\sigma','fontsize',15)
ylabel('^{K_{sq}}/_{p*L*W/h}','fontsize',15)
saveas(gcf,'KvsSQ','png')
figure(9)

loglog(sigma,Cvar(1,:),'r',sigma,Cvar(2,:),'k',sigma,Cvar(3,:)...
    ,'g',sigma,Cvar(4,:),'b',sigma,Cvar(5,:),'m'...
    ,'linewidth',2)

xlabel('\sigma','fontsize',15)
ylabel('^{C_{sq}}/_{p*L*W/h\omega}','fontsize',15)
saveas(gcf,'CvsSQ','png')
%%
dlmwrite('dataall.txt',[sigma' Pmaxvar' Kvar' Cvar'],'\t')